## netw-ib-ox-ag 5.39.0+dfsg

=== src/netwib-src/src/port/freebsd/kernelmodule/Makefile ===
BINDIR=	.
SRCS=	ether_mod.c ether_mod_load.c
KMOD=	ether_spoof
NOMAN=	none

CLEANFILES+= ${KMOD}

.include <bsd.kmod.mk>

## netw-ib-ox-ag 5.39.0

=== debian/changelog ===
netw-ib-ox-ag (5.39.0-1) unstable; urgency=low
 
  * The Akamai Technologies paid volunteer days release.
  * New upstream version.
  * Uses Homepage header. (Closes: #615219, #615294, #615321, #615436, #645522)
  * Bumped Standards-Version (no changes needed).
  * Switch to dpkg-source 3.0 (quilt) format)
  * Fixes FTBFS on s390x and sparc64 (Closes: #639493)
  * Fixes 29 (sic!) lintian warnings/errors thus many small changes 
    in packaging scripts.

 -- Bartosz Fenski <fenio@debian.org>  Fri, 21 Dec 2012 15:38:29 +0200

netw-ib-ox-ag (5.36.0-1) unstable; urgency=low

  * New upstream version. 

 -- Bartosz Fenski <fenio@debian.org>  Mon, 02 Feb 2009 22:42:24 +0100

netw-ib-ox-ag (5.35.0-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-Version to 3.7.2 (no changes needed).

 -- Bartosz Fenski <fenio@debian.org>  Wed, 11 Oct 2006 13:10:56 +0200

netw-ib-ox-ag (5.34.0-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Thu,  6 Apr 2006 14:18:25 +0200

netw-ib-ox-ag (5.33.0-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Wed, 21 Dec 2005 09:27:37 +0100

netw-ib-ox-ag (5.32.0-1) unstable; urgency=low

  * New upstream version. 

 -- Bartosz Fenski <fenio@debian.org>  Mon, 28 Nov 2005 14:49:51 +0100

netw-ib-ox-ag (5.31.0-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-Version to 3.6.2 (no changes needed).

 -- Bartosz Fenski <fenio@debian.org>  Fri, 14 Oct 2005 13:57:42 +0200

netw-ib-ox-ag (5.30.0-2) unstable; urgency=low

  * Fixed problems with doc-base installation (Closes: #302719, #302720)
    Thanks to J G Miller for spotting this.

 -- Bartosz Fenski <fenio@debian.org>  Sun,  3 Apr 2005 12:00:11 +0200

netw-ib-ox-ag (5.30.0-1) unstable; urgency=low

  * New upstream version.
  * -doc packages don't depend on binary ones now (Closes: #302022)
  * Documentation is now registered in doc-base database.
    
 -- Bartosz Fenski <fenio@debian.org>  Thu, 31 Mar 2005 21:46:12 +0200

netw-ib-ox-ag (5.29.0-3) unstable; urgency=low

  * Incorporating upstream patches which should hopefully fix compilation
    errors on arm/mips/s390 and warnings on 64bits archs.
  * Added some tests in rules file to avoid warnings/errors.

 -- Bartosz Fenski <fenio@debian.org>  Tue, 29 Mar 2005 19:21:11 +0200

netw-ib-ox-ag (5.29.0-2) unstable; urgency=low

  * Fixed problems with detection of available x-terminal-emulator.

 -- Bartosz Fenski <fenio@debian.org>  Mon, 28 Mar 2005 16:11:12 +0200

netw-ib-ox-ag (5.29.0-1) unstable; urgency=low

  * New upstream version.
  * Netwag is now shipped with some icons, so we used them for menu. 
  * Added overrides files for linda/lintian about rpath in netwox.
  * Copyright file has been extended and now mention about netwib library.

 -- Bartosz Fenski <fenio@debian.org>  Tue,  1 Mar 2005 20:12:13 +0100

netw-ib-ox-ag (5.28.0-1) unstable; urgency=low

  * New upstream version.
  * Some fixes in description.

 -- Bartosz Fenski <fenio@debian.org>  Sun,  9 Jan 2005 00:38:53 +0100

netw-ib-ox-ag (5.27.0-1) unstable; urgency=low

  * Initial Release. (Closes: #241722, #236090, #241723)

 -- Bartosz Fenski <fenio@debian.org>  Wed, 21 Jul 2004 12:45:56 +0200

=== debian/control ===
Source: netw-ib-ox-ag
Section: net
Priority: optional
Maintainer: Bartosz Fenski <fenio@debian.org>
Build-Depends: debhelper (>= 4.0.0), libpcap-dev, libnet1-dev, tk8.5, sed (>= 4)
Standards-Version: 3.9.4
Homepage: http://ntwox.sourceforge.net/

Package: netwox
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: netwag
Suggests: netwox-doc
Description: networking utilities
 Toolbox netwox helps to find and solve network problems.
 .
 It provides more than 200 tools :
  - sniff, spoof
  - clients, servers
  - DNS, FTP, HTTP, IRC, NNTP, SMTP, SNMP, SYSLOG, TELNET, TFTP
  - scan, ping traceroute
  - etc.
 .
 Those tools can be used to quickly spot a problem in a complex network.
 They are oriented towards network administrators and security auditors.

Package: netwag
Section: net
Architecture: all
Depends: netwox (>= ${source:Version}), ${misc:Depends}, tk8.5, xterm | x-terminal-emulator
Suggests: netwag-doc
Description: graphical frontend for netwox
 Netwag is a graphical front end for netwox which contains more than 200 tools.
 Netwag permits one to easily:
 .
  - search amongst tools proposed in netwox
  - construct command line
  - run tools
  - keep an history of commands

Package: netwox-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: netwox (= ${source:Version})
Description: documentation for netwox toolbox
 Toolbox netwox helps to find and solve network problems.
 .
 It provides more than 200 tools :
  - sniff, spoof
  - clients, servers
  - DNS, FTP, HTTP, IRC, NNTP, SMTP, SNMP, SYSLOG, TELNET, TFTP
  - scan, ping traceroute
  - etc.
 .
 Those tools can be used to quickly spot a problem in a complex network.
 They are oriented towards network administrators and security auditors.
 .
 This package contains documentation for netwox.

Package: netwag-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: netwag (= ${source:Version})
Description: documentation for netwag frontend
 Netwag is a graphical front end for netwox which contains more than 200 tools.
 Netwag permits one to easily:
 .
  - search amongst tools proposed in netwox 
  - construct command line 
  - run tools 
  - keep an history of commands 
 . 
 This package contains documentation for netwag.

=== debian/rules ===
#!/usr/bin/make -f
# rules file for netwib library (July 2004)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-arch build-indep
build-arch: build-stamp 
build-indep: build-stamp 
build-stamp: 
	dh_testdir
	dh_installdirs
	dh_prep  

# Temporary directory for some files.
	mkdir $(CURDIR)/debian/tmp

	-cp src/netwib-src/src/config.dat $(CURDIR)/debian/tmp/netwib.dat

# Change default prefix for netwib.
	sed -i \
	-e 's|NETWIBDEF_INSTPREFIX=.*$$|NETWIBDEF_INSTPREFIX=/usr|g' \
	src/netwib-src/src/config.dat

# Building netwib/
	cd src/netwib-src/src && ./genemake && cd ../../..
	cd src/netwib-src/src && $(MAKE) libnetwib.so && cd ../../..
	cd src/netwib-src/src && $(MAKE) installso DESTDIR=$(CURDIR)/debian/tmp/netwib && cd ../../..

	-cp src/netwox-src/src/config.dat $(CURDIR)/debian/tmp/netwox.dat

# Change prefixes for netwox.
	sed -i \
	-e 's|NETWIBDEF_INSTPREFIX=.*$$|NETWIBDEF_INSTPREFIX=/usr|g' \
	-e 's|NETWIBDEF_INSTDESTDIR=.*$$|NETWIBDEF_INSTDESTDIR=${CURDIR}/debian/tmp/netwib|g' \
	-e 's|NETWOXDEF_INSTPREFIX=.*$$|NETWOXDEF_INSTPREFIX=/usr|g' \
	src/netwox-src/src/config.dat
	
# Building netwox.
	cd src/netwox-src/src && ./genemake && cd ../../..

# Sorry folks, we have to use rpath cause our library isn't public.
	sed -i \
	-e 's|GCCOPT=.*$$|GCCOPT=-O2 -Wall -fno-strict-aliasing -Wl,-rpath,/usr/lib/netwib|g' \
	src/netwox-src/src/Makefile
	
	cd src/netwox-src/src && $(MAKE) && cd ../../..
	cd src/netwox-src/src && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/netwox && cd ../../..

# Overrides for above rpath stuff
	dh_installdirs -pnetwox usr/share/lintian/overrides
	cp $(CURDIR)/debian/netwox.lintian $(CURDIR)/debian/netwox/usr/share/lintian/overrides/netwox

	-cp src/netwag-src/src/config.dat $(CURDIR)/debian/tmp/netwag.dat

# Change prefixes for netwag.
	sed -i \
	-e 's|NETWAGDEF_INSTPREFIX=.*$$|NETWAGDEF_INSTPREFIX=/usr|g' \
	-e 's|NETWOXDEF_INSTPREFIX=.*$$|NETWOXDEF_INSTPREFIX=/usr|g' \
	-e 's|NETWIBDEF_INSTPREFIX=.*$$|NETWIBDEF_INSTPREFIX=/usr|g' \
	-e 's|NETWIBDEF_INSTDESTDIR=.*$$|NETWIBDEF_INSTDESTDIR=$(CURDIR)/debian/tmp/netwib|g' \
	-e 's|NETWOXDEF_INSTPREFIX=.*$$|NETWOXDEF_INSTPREFIX=/usr|g' \
	-e 's|NETWOXDEF_INSTDESTDIR=.*$$|NETWOXDEF_INSTDESTDIR=$(CURDIR)/debian/tmp/netwox|g' \
	src/netwag-src/src/config.dat

# Using explicit x-term path instead of detection.
	sed -i \
	-e 's|#bin_term="/usr/X11R6/bin/xterm"|bin_term="/usr/bin/x-terminal-emulator"|g' \
	-e 's|#bin_term_param="-e"|bin_term_param="-e"|g' \
	src/netwag-src/src/config.dat

# Building netwag.
	cd src/netwag-src/src/ && ./genemake && cd ../../..
	cd src/netwag-src/src && $(MAKE) && cd ../../..
	cd src/netwag-src/src && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/netwag && cd ../../..
	cp src/netwag-src/misc/unix/ico/ico_netw-32x32.xpm $(CURDIR)/netwag.xpm
	cp src/netwib-src/doc/credits.txt $(CURDIR)/netwib_credits.txt

# Making netwib version independent.

	-rm $(CURDIR)/debian/tmp/netwib/usr/lib/libnetwib.so

# Making netwox version independent.
	-rm $(CURDIR)/debian/tmp/netwox/usr/bin/netwox
	-mv $(CURDIR)/debian/tmp/netwox/usr/bin/netwox* debian/tmp/netwox/usr/bin/netwox
	-rm $(CURDIR)/debian/tmp/netwox/usr/man/man1/netwox.1
	-mv $(CURDIR)/debian/tmp/netwox/usr/man/man1/netwox* debian/tmp/netwox/usr/man/man1/netwox.1

# Making netwag version independent.
	-rm $(CURDIR)/debian/tmp/netwag/usr/bin/netwag
	-mv $(CURDIR)/debian/tmp/netwag/usr/bin/netwag* $(CURDIR)/debian/tmp/netwag/usr/bin/netwag
	-rm $(CURDIR)/debian/tmp/netwag/usr/man/man1/netwag.1
	-mv $(CURDIR)/debian/tmp/netwag/usr/man/man1/netwag* $(CURDIR)/debian/tmp/netwag/usr/man/man1/netwag.1

	sed -i -e 's|set netwag_glo_bin_netwox "/usr/bin/netwox.*|set netwag_glo_bin_netwox "/usr/bin/netwox"|g' $(CURDIR)/debian/tmp/netwag/usr/bin/netwag

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot

	if test -f $(CURDIR)/debian/tmp/netwib.dat; \
	then -cp $(CURDIR)/debian/tmp/netwib.dat src/netwib-src/src/config.dat; \
	fi
	if test -f $(CURDIR)/debian/tmp/netwox.dat; \
	then -cp $(CURDIR)/debian/tmp/netwox.dat src/netwox-src/src/config.dat; \
	fi
	if test -f $(CURDIR)/debian/tmp/netwag.dat; \
	then -cp $(CURDIR)/debian/tmp/netwag.dat src/netwag-src/src/config.dat; \
	fi

	-cd src/netwib-src/src && $(MAKE) clean && cd ../../../
	-cd src/netwox-src/src && $(MAKE) clean && cd ../../../
	-cd src/netwag-src/src && $(MAKE) clean && cd ../../../
	dh_clean netwag.xpm netwib_credits.txt

binary-indep: build

	dh_testdir -i
	dh_testroot -i
	dh_install -i
	dh_installchangelogs src/netwag-src/doc/changelog.txt -i
	dh_installdocs -i
	dh_installman -i
	dh_link -i
	dh_compress -i -Xcredits.txt
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build 

	dh_testdir -a
	dh_testroot -a
	dh_install -a
	dh_installchangelogs src/netwox-src/doc/changelog.txt -a
	dh_installdocs -a
	dh_installmenu -a
	dh_installman -a
	dh_strip -a
	dh_compress -a -Xcredits.txt -Xnetwib_credits.txt
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## netw-ib-ox-ag 5.39.0+dfsg

=== debian/changelog ===
netw-ib-ox-ag (5.39.0+dfsg-0.1build1) resolute; urgency=medium

  * No-change rebuild for libnet9.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 14:10:15 +0000

netw-ib-ox-ag (5.39.0+dfsg-0.1) unstable; urgency=medium

  [ Andreas Tille ]
  * Non-maintainer upload.
  * Maintain package in Debian team on Salsa
  * Add watch file
  * d/copyright: DEP5
  * d/README.source: Move some information from former d/copyright here
  * Standards-Version: 4.7.2 (routine-update)
  * Fix lintian-overrides regarding custom-library-search-path
    (after confirming this is really needed)
  * Ignore clean errors without making lintian angry
  * Exclude windows compiled binaries and windows related source code
  * debian/netwag.menu: s/Apps/Applications/
  * debian/control: Do not mirror source section
  * Fix clean target
    Closes: #1046595, #1049487 

  [ наб ]
  * d/p/: add _BSD_SOURCE to fix corresponding warning
  * debhelper-compat 13 (routine-update)
  * d/rules: short dh
  * d/control: HHomepage -> Homepage

 -- Andreas Tille <tille@debian.org>  Sat, 15 Mar 2025 02:25:52 +0100

netw-ib-ox-ag (5.39.0-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * add loong64 support, Closes: #1050486

 -- xiao sheng wen <atzlinux@debian.org>  Sat, 28 Dec 2024 10:18:29 +0800

netw-ib-ox-ag (5.39.0-1.5) unstable; urgency=medium

  * Non-maintainer upload.

  [Bo YU]
  * Fix "FTBFS on riscv64:  Could not guess NETWIBDEF_SYSARCH"
    (Closes: #1010361)

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 28 Jun 2022 18:00:01 +0800

netw-ib-ox-ag (5.39.0-1.4) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 12:59:57 +0100

netw-ib-ox-ag (5.39.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to the default Tcl/Tk version from 8.5 since Tcl/Tk 8.5 is to be
    removed from Debian (closes: #893032).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Apr 2018 12:04:13 +0300

netw-ib-ox-ag (5.39.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches:
    - Add debian/patches/04-add-s390x-support to add platform
      detection support for IBM S390 (64-bit).
    - Add debian/patches/05-add-arm64-support to add platform
      detection support for ARM (64-bit).
    - Add debian/patches/06-add-kfreebsd-support to add platform
      detection support for Debian GNU/kFreeBSD systems.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 18 Nov 2015 19:52:55 +0100

netw-ib-ox-ag (5.39.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/changelog:
    - Remove trailing spaces in various lines.
  * debian/patches:
    - Add debian/patches/02-add-sh4-support to add platform
      detection support for Renesas SH. (Closes: #703284)
    - Add debian/patches/03-add-ppc64el-support to add platform
      detection support for PowerPC64 LE. (Closes: 762580)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 18 Nov 2015 15:32:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Bartosz Fenski <fenio@debian.org>
-Build-Depends: debhelper (>= 4.0.0), libpcap-dev, libnet1-dev, tk8.5, sed (>= 4)
-Standards-Version: 3.9.4
+Build-Depends: debhelper-compat (= 13), libpcap-dev, libnet1-dev, tk, sed (>= 4)
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/netw-ib-ox-ag
+Vcs-Git: https://salsa.debian.org/debian/netw-ib-ox-ag.git
 Homepage: http://ntwox.sourceforge.net/
 
 Package: netwox
-Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: netwag
@@ -26,9 +27,8 @@
  They are oriented towards network administrators and security auditors.
 
 Package: netwag
-Section: net
 Architecture: all
-Depends: netwox (>= ${source:Version}), ${misc:Depends}, tk8.5, xterm | x-terminal-emulator
+Depends: netwox (>= ${source:Version}), ${misc:Depends}, tk, xterm | x-terminal-emulator
 Suggests: netwag-doc
 Description: graphical frontend for netwox
  Netwag is a graphical front end for netwox which contains more than 200 tools.
@@ -68,9 +68,9 @@
  Netwag is a graphical front end for netwox which contains more than 200 tools.
  Netwag permits one to easily:
  .
-  - search amongst tools proposed in netwox 
-  - construct command line 
-  - run tools 
-  - keep an history of commands 
- . 
+  - search amongst tools proposed in netwox
+  - construct command line
+  - run tools
+  - keep an history of commands
+ .
  This package contains documentation for netwag.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
  https://sf.net/ntwox/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
